<template>
  <div class="dashboard-container">

    <el-card shadow="hover">
      <div class="flex flex-wrap">
        <!-- 左侧问候语区域 -->
        <div class="flex-1 flex items-start">
          <div class="ml-5">
            <div class="text-20px font-bold mb-5px">
              {{ timefix }}{{ userStore.basicInfo.name }}，{{ welcome }}
            </div>
          </div>
        </div>
      </div>
    </el-card>
  </div>
</template>

<script setup lang="ts">
defineOptions({
  name: "Home",
  inheritAttrs: false,
});

import { useUserStore } from "@/store/modules/user.store";
import { greetings } from "@/utils/common";

const timefix = greetings();
const welcome = "祝你开心每一天！";
const userStore = useUserStore();

onMounted(() => {

});
</script>

<style lang="scss" scoped>
</style>
